## jss 4.4.2

=== debian/changelog ===
jss (4.4.2-1) unstable; urgency=medium

  * New upstream release. (Closes: #875589)
  * patches: Drop all patches, everything upstream.
  * files, links, rules: Packaging changes for the new version.
  * control: Update the maintainer address to.

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 18 Sep 2017 21:44:04 +0300

jss (4.3.1-7) unstable; urgency=medium

  * Sync patches with fedora 4.2.6-42.
    - merge symkey
  * control: Bump policy to 3.9.8, no changes.
  * control: Use https for vcs urls.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 30 Aug 2016 14:05:48 +0300

jss (4.3.1-6) unstable; urgency=medium

  * jss-PBE-PKCS5-V2-secure-P12.patch: Bump NUM_ALGS. (Closes: #688472)

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 26 Nov 2014 15:48:14 +0200

jss (4.3.1-5) unstable; urgency=medium

  * control: Bump policy to 3.9.6.
  * Use debhelper 9.
  * jss-support-TLS1_1-TLS1_2.patch: Add support for TLSv1.1 and v1.2.
  * jss-RC4-strengh-verify.patch: Verify RC4 strength.
  * control: Update my email.
  * control: Update VCS urls.

 -- Timo Aaltonen <tjaalton@debian.org>  Sat, 25 Oct 2014 13:14:31 +0300

jss (4.3.1-4) unstable; urgency=low

  [ Timo Aaltonen ]
  * Update pull_coreconf.patch and match Linux3.0* during clean.
  * rules:
    - Remove dist/ on clean.
    - Use openjdk-6 instead of gcj.
  * patches: Add a bunch of patches from Fedora.
  * control: Change the VCS header to point to the git repository.
  * compat: Bump to 8.
  * control: Build-depend on default-jdk.
  * control: Update the maintainer address.
  * control: Drop jre dependency per current java policy.
  * patches: More patches from Fedora.
  * rules: Install the library in /usr/lib/jss.
  * control: Bump standards to 3.9.3, no changes.
  * control: Update the uploaders field.
  * rules: Added build-arch and build-indep targets.
  * rules: Replace dh_clean -k with dh_prep.

  [ Ghe Rivero ]
  * Fixed JAVA_HOME default path

 -- Timo Aaltonen <tjaalton@ubuntu.com>  Wed, 27 Jun 2012 18:00:53 +0200

=== debian/control ===
Source: jss
Section: java
Maintainer: Debian FreeIPA Team <pkg-freeipa-devel@lists.alioth.debian.org>
Uploaders: Timo Aaltonen <tjaalton@debian.org>,
Priority: optional
Build-Depends: debhelper (>= 9),
 default-jdk,
 libnss3-dev,
 pkg-config,
 quilt,
Standards-Version: 3.9.8
Vcs-Git: https://anonscm.debian.org/git/pkg-fedora-ds/jss.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-fedora-ds/jss.git
Homepage: http://www.mozilla.org/projects/security/pki/jss/

Package: libjss-java
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Network Security Services for Java
 Network Security Services for Java (JSS) is a Java interface 
 to NSS. It supports most of the security standards and 
 encryption technologies supported by NSS. JSS also provides 
 a pure Java interface for ASN.1 types and BER/DER encoding.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/quilt/quilt.make

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
DEB_BUILD_ARCH  ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH)

UPSTREAM_VERSION := $(shell dpkg-parsechangelog | sed -n 's/^Version: *\(.*\)-.*$$/\1/ p' | sed -e 's/~.*//')
MOD_MAJOR_VERSION := $(word 1, $(subst ., ,$(UPSTREAM_VERSION)))
MOD_MINOR_VERSION := $(word 2, $(subst ., ,$(UPSTREAM_VERSION)))
MOD_PATCH_VERSION := $(word 3, $(subst ., ,$(UPSTREAM_VERSION)))

export USE_64 := $(shell echo "int main(void) { int assert[(sizeof(long) == 8) ? 1 : -1]; return 0; }" | gcc -o /dev/null -x c - 2> /dev/null && echo "USE_64=1")

CFLAGS := -Wall -pipe -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2 -fno-strict-aliasing
endif

CFLAGS += $(USE_64)
# Enable compiler optimizations and disable debugging code
BUILD_OPT=1
export BUILD_OPT
export XCFLAGS="-g"
BASEDIR := $(CURDIR)/jss
export PKG_CONFIG_ALLOW_SYSTEM_LIBS=1
export PKG_CONFIG_ALLOW_SYSTEM_CFLAGS=1
export NSPR_INCLUDE_DIR=`/usr/bin/pkg-config --cflags-only-I nspr | sed 's/-I//'`
export NSPR_LIB_DIR=`/usr/bin/pkg-config --libs-only-L nspr | sed 's/-L//'`
export NSS_INCLUDE_DIR=`/usr/bin/pkg-config --cflags-only-I nss | sed 's/-I//'`
export NSS_LIB_DIR=`/usr/bin/pkg-config --libs-only-L nss | sed 's/-L//'`
export USE_INSTALLED_NSPR=1
export USE_INSTALLED_NSS=1

export JAVA_HOME=/usr/lib/jvm/default-java

# Generate symbolic info for debuggers
XCFLAGS="-g"
export XCFLAGS
export CFLAGS

configure: configure-stamp
configure-stamp: $(QUILT_STAMPFN)

build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp

build-stamp: configure
	dh_testdir
	make -C $(BASEDIR)/coreconf $(USE_64)
	make -C $(BASEDIR) $(USE_64)
	touch build-stamp

clean: clean-patched unpatch
clean-patched:
	dh_testdir
	dh_testroot
	-[ -f $(BASEDIR)/Makefile ] || $(MAKE) -C $(BASEDIR) clean
	-[ -f $(BASEDIR)/coreconf/Makefile ] || $(MAKE) -C $(BASEDIR)/coreconf clean
	-find . -name "*.class" -type f -exec rm -f "{}" \;
	-find . -name "*.so.*" -type f -exec rm -f "{}" \;
	-find . -name ".so" -type f -exec rm -f "{}" \;
	-find . -type d -name "Linux3.0_x86_glibc_PTH_DBG.OBJ" -exec rm -rf "{}" \;
	-find . -type d -name "Linux3.0_x86_glibc_PTH_OPT.OBJ" -exec rm -rf "{}" \;
	-find . -type d -name "Linux3.0_x86_64_glibc_PTH_64_DBG.OBJ" -exec rm -rf "{}" \;
	-find . -type d -name "Linux3.0_x86_64_glibc_PTH_64_OPT.OBJ" -exec rm -rf "{}" \;
	rm -f $(BASEDIR)/org/mozilla/jss/util/Debug.java
	rm -rf $(CURDIR)/dist || true
	dh_clean build-stamp install-stamp 

install: install-stamp
install-stamp:
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	mkdir -p $(CURDIR)/debian/tmp/usr/lib/jss
	mkdir -p $(CURDIR)/debian/tmp/usr/share/java
	install -m 644 dist/xpclass.jar $(CURDIR)/debian/tmp/usr/share/java/jss-$(MOD_MAJOR_VERSION).$(MOD_MINOR_VERSION).$(MOD_PATCH_VERSION).jar
	install -m 0755 dist/Linux*.OBJ/lib/libjss4.so $(CURDIR)/debian/tmp/usr/lib/jss

#
# FIXME - sign jss4.jar. In order to use JSS as a JCE provider it needs to be
# signed with a Sun-issued certificate. Since we would need to make this
# certificate and private key public to provide reproducability in the rpm
# building we have to ship an unsigned jar.
#
# Instructions for getting a signing cert can be found here:
# http://java.sun.com/javase/6/docs/technotes/guides/security/crypto/HowToImplAProvider.html#Step61
#
# This signing is not required by every JVM. gcj ignores the signature and does
# not require one. The Sun and IBM JVMs both check and enforce the signature.
# Behavior of other JVMs is not known but they probably enforce the signature
# as well.

	touch install-stamp

binary-indep:

binary-arch: install-stamp
	dh_testdir
	dh_testroot
	dh_installchangelogs -a
	dh_installdocs -a
	dh_movefiles --sourcedir=debian/tmp -a -v
	dh_link -a
	dh_strip -a 
	dh_compress -a
	dh_fixperms -a
	dh_makeshlibs -a 
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-arch

.PHONY: clean install build clean-patched binary-indep binary-arch binary

## jss 4.4.3

=== jss/Makefile ===
#! gmake
# 
# This Source Code Form is subject to the terms of the Mozilla Public
# License, v. 2.0. If a copy of the MPL was not distributed with this
# file, You can obtain one at http://mozilla.org/MPL/2.0/.

#######################################################################
# (1) Include initial platform-independent assignments (MANDATORY).   #
#######################################################################

include manifest.mn

#######################################################################
# (2) Include "global" configuration information. (OPTIONAL)          #
#######################################################################

include $(CORE_DEPTH)/coreconf/config.mk

#######################################################################
# (3) Include "component" configuration information. (OPTIONAL)       #
#######################################################################



#######################################################################
# (4) Include "local" platform-dependent assignments (OPTIONAL).      #
#######################################################################

#######################################################################
# (5) Execute "global" rules. (OPTIONAL)                              #
#######################################################################

# have to put this here, instead of in rules.mk, so that Java gets
# built first
all:: buildJava

test_jss: testJava

include $(CORE_DEPTH)/coreconf/rules.mk

#######################################################################
# (6) Execute "component" rules. (OPTIONAL)                           #
#######################################################################



#######################################################################
# (7) Execute "local" rules. (OPTIONAL).                              #
#######################################################################

include rules.mk

package:
		$(MAKE) -C pkg publish

=== jss/org/Makefile ===
#! gmake
# 
# This Source Code Form is subject to the terms of the Mozilla Public
# License, v. 2.0. If a copy of the MPL was not distributed with this
# file, You can obtain one at http://mozilla.org/MPL/2.0/.

#######################################################################
# (1) Include initial platform-independent assignments (MANDATORY).   #
#######################################################################

include manifest.mn

#######################################################################
# (2) Include "global" configuration information. (OPTIONAL)          #
#######################################################################

include $(CORE_DEPTH)/coreconf/config.mk

#######################################################################
# (3) Include "component" configuration information. (OPTIONAL)       #
#######################################################################



#######################################################################
# (4) Include "local" platform-dependent assignments (OPTIONAL).      #
#######################################################################



#######################################################################
# (5) Execute "global" rules. (OPTIONAL)                              #
#######################################################################

include $(CORE_DEPTH)/coreconf/rules.mk

#######################################################################
# (6) Execute "component" rules. (OPTIONAL)                           #
#######################################################################



#######################################################################
# (7) Execute "local" rules. (OPTIONAL).                              #
#######################################################################

=== jss/org/mozilla/jss/SecretDecoderRing/Makefile ===
#! gmake
# This Source Code Form is subject to the terms of the Mozilla Public
# License, v. 2.0. If a copy of the MPL was not distributed with this
# file, You can obtain one at http://mozilla.org/MPL/2.0/.

#######################################################################
# (1) Include initial platform-independent assignments (MANDATORY).   #
#######################################################################

include manifest.mn

#######################################################################
# (2) Include "global" configuration information. (OPTIONAL)          #
#######################################################################

include $(CORE_DEPTH)/coreconf/config.mk

#######################################################################
# (3) Include "component" configuration information. (OPTIONAL)       #
#######################################################################
include $(CORE_DEPTH)/config/config.mk
 

#######################################################################
# (4) Include "local" platform-dependent assignments (OPTIONAL).      #
#######################################################################

include config.mk

#######################################################################
# (5) Execute "global" rules. (OPTIONAL)                              #
#######################################################################

include $(CORE_DEPTH)/coreconf/rules.mk

#######################################################################
# (6) Execute "component" rules. (OPTIONAL)                           #
#######################################################################


#######################################################################
# (7) Execute "local" rules. (OPTIONAL).                              #
#######################################################################

=== jss/org/mozilla/jss/pkcs11/Makefile ===
#! gmake
# 
# This Source Code Form is subject to the terms of the Mozilla Public
# License, v. 2.0. If a copy of the MPL was not distributed with this
# file, You can obtain one at http://mozilla.org/MPL/2.0/.

#######################################################################
# (1) Include initial platform-independent assignments (MANDATORY).   #
#######################################################################

include manifest.mn

#######################################################################
# (2) Include "global" configuration information. (OPTIONAL)          #
#######################################################################

include $(CORE_DEPTH)/coreconf/config.mk

#######################################################################
# (3) Include "component" configuration information. (OPTIONAL)       #
#######################################################################

include $(CORE_DEPTH)/config/config.mk

#######################################################################
# (4) Include "local" platform-dependent assignments (OPTIONAL).      #
#######################################################################

include config.mk

#######################################################################
# (5) Execute "global" rules. (OPTIONAL)                              #
#######################################################################

include $(CORE_DEPTH)/coreconf/rules.mk

#######################################################################
# (6) Execute "component" rules. (OPTIONAL)                           #
#######################################################################



#######################################################################
# (7) Execute "local" rules. (OPTIONAL).                              #
#######################################################################

=== jss/org/mozilla/jss/util/Makefile ===
#! gmake
# 
# This Source Code Form is subject to the terms of the Mozilla Public
# License, v. 2.0. If a copy of the MPL was not distributed with this
# file, You can obtain one at http://mozilla.org/MPL/2.0/.

#######################################################################
# (1) Include initial platform-independent assignments (MANDATORY).   #
#######################################################################

include manifest.mn

#######################################################################
# (2) Include "global" configuration information. (OPTIONAL)          #
#######################################################################

include $(CORE_DEPTH)/coreconf/config.mk

#######################################################################
# (3) Include "component" configuration information. (OPTIONAL)       #
#######################################################################

include $(CORE_DEPTH)/config/config.mk

#######################################################################
# (4) Include "local" platform-dependent assignments (OPTIONAL).      #
#######################################################################

include config.mk

ALL_TRASH += Debug.java

#######################################################################
# (5) Execute "global" rules. (OPTIONAL)                              #
#######################################################################

include $(CORE_DEPTH)/coreconf/rules.mk

#######################################################################
# (6) Execute "component" rules. (OPTIONAL)                           #
#######################################################################



#######################################################################
# (7) Execute "local" rules. (OPTIONAL).                              #
#######################################################################

=== debian/changelog ===
jss (4.4.3-1) unstable; urgency=medium

  * New upstream release.
    - jss-*.patch: Dropped, upstream
  * control: Update VCS urls.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 17 Apr 2018 10:42:06 +0300

jss (4.4.2-6) unstable; urgency=medium

  * rules: Fix JAVA_HOME.

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 09 Apr 2018 15:35:35 +0300

jss (4.4.2-5) unstable; urgency=medium

  * control: Build with jdk8, dogtag-pki needs it.

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 09 Apr 2018 14:03:10 +0300

jss (4.4.2-4) unstable; urgency=medium

  * fix-jdk9-ftbfs.diff: Fix build with openjdk-9. (Closes: #893217)

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 04 Apr 2018 00:59:27 +0300

jss (4.4.2-3) unstable; urgency=medium

  * patches: Add three new patches from upstream for Dogtag.

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 05 Feb 2018 12:25:43 +0200

jss (4.4.2-2) unstable; urgency=medium

  * patches: Add six patches from Fedora for Dogtag.
  * control: Update git urls to point to pkg-freeipa.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 20 Dec 2017 16:52:36 +0200

=== debian/control ===
--- 
+++ 
@@ -4,13 +4,13 @@
 Uploaders: Timo Aaltonen <tjaalton@debian.org>,
 Priority: optional
 Build-Depends: debhelper (>= 9),
- default-jdk,
+ openjdk-8-jdk,
  libnss3-dev,
  pkg-config,
  quilt,
 Standards-Version: 3.9.8
-Vcs-Git: https://anonscm.debian.org/git/pkg-fedora-ds/jss.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-fedora-ds/jss.git
+Vcs-Git: https://salsa.debian.org/freeipa-team/jss.git
+Vcs-Browser: https://salsa.debian.org/freeipa-team/jss
 Homepage: http://www.mozilla.org/projects/security/pki/jss/
 
 Package: libjss-java

=== debian/rules ===
--- 
+++ 
@@ -38,7 +38,7 @@
 export USE_INSTALLED_NSPR=1
 export USE_INSTALLED_NSS=1
 
-export JAVA_HOME=/usr/lib/jvm/default-java
+export JAVA_HOME=/usr/lib/jvm/java-8-openjdk-$(DEB_BUILD_ARCH)
 
 # Generate symbolic info for debuggers
 XCFLAGS="-g"

=== debian/watch ===
version=3
http://ftp.mozilla.org/pub/mozilla.org/security/jss/releases/JSS_(\d_\d_\d)_RTM/src/jss-(\d\.\d.\d).tar.bz2

## jss 4.5.0

=== pkg/linux/Makefile ===
#
# Copyright 2005 Sun Microsystems, Inc.  All rights reserved.
# Use is subject to license terms.
#
# This Source Code Form is subject to the terms of the Mozilla Public
# License, v. 2.0. If a copy of the MPL was not distributed with this
# file, You can obtain one at http://mozilla.org/MPL/2.0/.
#
#ident	"$Id$"
#

CORE_DEPTH = ../../..

NAME        = sun-jss
ifndef RPM_RELEASE
RPM_RELEASE = 1
endif
VERSION     = `grep JSS_VERSION $(CORE_DEPTH)/jss/org/mozilla/jss/util/jssver.h \
		| sed -e 's/"$$//' -e 's/.*"//' -e 's/ .*//'`
PWD         = `pwd`
BUILDROOT   = $(PWD)\/$(NAME)-root

include $(CORE_DEPTH)/coreconf/config.mk

# Force i386 for non 64 bit build
ifneq ($(USE_64),1)
	RPMTARGET = "--target=i386"
	RPMLIBDIR = lib
else
	RPMLIBDIR = lib64
endif


publish:
	$(MAKE) clean
	mkdir -p SOURCES SRPMS RPMS BUILD
	mkdir -p opt/sun/private/$(RPMLIBDIR)
	find $(CORE_DEPTH)/../dist/$(OBJDIR)/lib -type l \
		\( -name "*jss*.so" \) \
	-exec cp {} opt/sun/private/$(RPMLIBDIR) \;
ifdef JSS3_LOCATION
	cp $(JSS3_LOCATION)/$(OBJDIR)/lib/libjss3.so opt/sun/private/$(RPMLIBDIR)
endif
	mkdir -p opt/sun/private/share/lib 
	cp $(CORE_DEPTH)/../dist/release/no-policy/classes/jss4.jar \
		opt/sun/private/share/lib/jss4.jar
ifdef JSS3_LOCATION
	cp $(JSS3_LOCATION)/xpclass.jar opt/sun/private/share/lib/jss3.jar
endif
	tar czvf $(NAME)-$(VERSION).tar.gz opt 
	echo "AutoReq: 0" > temp.spec
	echo "%define _topdir `pwd`" >>temp.spec
	sed -e "s/NAME_REPLACE/$(NAME)/" \
		-e "s/VERSION_REPLACE/$(VERSION)/" \
		-e "s/RELEASE_REPLACE/$(RPM_RELEASE)/" \
	<$(NAME).spec >>temp.spec
	echo "" >>temp.spec
	echo "%files" >>temp.spec
	echo "%defattr(-,root,root)" >>temp.spec
	echo "%dir /opt" >>temp.spec
	echo "%dir /opt/sun" >>temp.spec
	echo "%dir /opt/sun/private" >>temp.spec
	echo "%dir /opt/sun/private/$(RPMLIBDIR)" >>temp.spec
	echo "%dir /opt/sun/private/share" >>temp.spec
	echo "%dir /opt/sun/private/share/lib" >>temp.spec
	find opt \( -name "*.so" -o -name "*.jar" \) \
		| sed -e "s-^-/-" >>temp.spec
	echo "" >>temp.spec
	echo "%files devel" >>temp.spec
	echo "%defattr(-,root,root)" >>temp.spec
	find opt -type d | sed -e "s-^-%dir /-" >>temp.spec
	find opt -type f ! \( -name "*.so" -o -name "*.jar" \) \
		| sed -e "s-^-/-" >>temp.spec
	cp $(NAME)-$(VERSION).tar.gz SOURCES
	rpmbuild $(RPMTARGET) -bb temp.spec

clean::
	rm -rf SOURCES SRPMS RPMS BUILD
	rm -rf opt 
	rm -f temp.spec
	rm -f $(NAME)-$(VERSION).tar.gz

include $(CORE_DEPTH)/coreconf/rules.mk

=== pkg/solaris/Makefile ===
#
# Copyright 2005 Sun Microsystems, Inc.  All rights reserved.
# Use is subject to license terms.
#
# This Source Code Form is subject to the terms of the Mozilla Public
# License, v. 2.0. If a copy of the MPL was not distributed with this
# file, You can obtain one at http://mozilla.org/MPL/2.0/.
#
#ident	"$Id$"
#

CORE_DEPTH = ../../..

%: %.ksh
	$(RM) $@
	$(CP) $< $@
	chmod +x $@


DIRS = \
	SUNWjss

include Makefile.com

PROTO = \
	$(ROOT) \
	$(ROOT)/usr/share/lib/mps \
	$(ROOT)/usr/lib/mps

ifeq ($(MACH),sparc)
	PROTO += $(ROOT)/usr/share/lib/mps/sparcv9 \
	$(ROOT)/usr/lib/mps/sparcv9
endif

ifeq ($(USE_64), 1)
ifeq ($(MACH), sparc)
# Sparc
	PROTO += $(ROOT)/usr/lib/mps/sparcv9 \
	$(ROOT)/usr/share/lib/mps/sparcv9
else
# AMD64
	PROTO += $(ROOT)/usr/lib/mps/amd64 \
	$(ROOT)/usr/share/lib/mps/amd64
endif
	DIST64 = $(DIST)
	DIST32 = $(shell echo $(DIST) | sed -e "s|_64_OPT|_OPT|g" -e "s|_64_DBG|_DBG|g")
else
	DIST32 = $(DIST)
	DIST64 = $(shell echo $(DIST) | sed -e "s|_OPT|_64_OPT|g" -e "s|_DBG|_64_DBG|g")
endif

OBJ32 = $(shell basename $(DIST32))
OBJ64 = $(shell basename $(DIST64))

IMPORT_JSS_JAR = jss4.jar

awk_pkginfo: bld_awk_pkginfo
	./bld_awk_pkginfo -m $(MACH) -p "$(PRODUCT_VERSION)" -o $@ -v $(PRODUCT_VERSION)

all:: awk_pkginfo $(PROTO)
publish: awk_pkginfo $(PROTO)
	+$(LOOP_OVER_DIRS)

clean clobber::
	$(RM) awk_pkginfo bld_awk_pkginfo
	$(RM) -r $(ROOT)

$(ROOT):
	mkdir -p $@

$(ROOT)/usr/lib/mps/sparcv9:
	mkdir -p $@
	$(CP) -r $(DIST64)/lib/*.so $@ 
ifdef JSS3_LOCATION
	$(CP) $(JSS3_LOCATION)/$(OBJ64)/lib/libjss3.so $@
endif

$(ROOT)/usr/share/lib/mps/sparcv9:
	echo "target=$(SOURCE_RELEASE_XP_DIR)/$(SOURCE_RELEASE_XP_CLASSES_DIR)/$(IMPORT_JSS_JAR)"
	mkdir -p $@
	$(CP) $(SOURCE_RELEASE_XP_DIR)/$(SOURCE_RELEASE_XP_CLASSES_DIR)/$(IMPORT_JSS_JAR) $@/jss4.jar
ifdef JSS3_LOCATION
	$(CP) $(JSS3_LOCATION)/$(IMPORT_XPCLASS_JAR) $@/jss3.jar
endif

$(ROOT)/usr/lib/mps/amd64:
	mkdir -p $@
	$(CP) -r $(DIST64)/lib/*.so $@ 

$(ROOT)/usr/share/lib/mps/amd64:
	echo "target=$(SOURCE_RELEASE_XP_DIR)/$(SOURCE_RELEASE_XP_CLASSES_DIR)/$(IMPORT_JSS_JAR)"
	mkdir -p $@
	$(CP) $(SOURCE_RELEASE_XP_DIR)/$(SOURCE_RELEASE_XP_CLASSES_DIR)/$(IMPORT_JSS_JAR) $@/jss4.jar

$(ROOT)/usr/lib/mps:
	mkdir -p $@
	$(CP) -r $(DIST32)/lib/*.so $@
ifdef JSS3_LOCATION
	$(CP) $(JSS3_LOCATION)/$(OBJ32)/lib/libjss3.so $@
endif

$(ROOT)/usr/share/lib/mps:
	echo "target=$(SOURCE_RELEASE_XP_DIR)/$(SOURCE_RELEASE_XP_CLASSES_DIR)/$(IMPORT_JSS_JAR)"
	mkdir -p $@
	$(CP) $(SOURCE_RELEASE_XP_DIR)/$(SOURCE_RELEASE_XP_CLASSES_DIR)/$(IMPORT_JSS_JAR) $@/jss4.jar
ifdef JSS3_LOCATION
	$(CP) $(JSS3_LOCATION)/$(IMPORT_XPCLASS_JAR) $@/jss3.jar
endif

=== org/mozilla/jss/asn1/Makefile ===
#! gmake
# This Source Code Form is subject to the terms of the Mozilla Public
# License, v. 2.0. If a copy of the MPL was not distributed with this
# file, You can obtain one at http://mozilla.org/MPL/2.0/.

#######################################################################
# (1) Include initial platform-independent assignments (MANDATORY).   #
#######################################################################

include manifest.mn

#######################################################################
# (2) Include "global" configuration information. (OPTIONAL)          #
#######################################################################

include $(CORE_DEPTH)/coreconf/config.mk

#######################################################################
# (3) Include "component" configuration information. (OPTIONAL)       #
#######################################################################

include $(CORE_DEPTH)/config/config.mk


#######################################################################
# (4) Include "local" platform-dependent assignments (OPTIONAL).      #
#######################################################################
include config.mk


#######################################################################
# (5) Execute "global" rules. (OPTIONAL)                              #
#######################################################################

include $(CORE_DEPTH)/coreconf/rules.mk

#######################################################################
# (6) Execute "component" rules. (OPTIONAL)                           #
#######################################################################



#######################################################################
# (7) Execute "local" rules. (OPTIONAL).                              #
#######################################################################



run:
	$(DEBUG_CMD) /share/builds/components/jdk/1.2.2_05a/SunOS/jre/bin/java -classpath $(JAVA_HOME)/lib/classes.zip:$(SOURCE_CLASSES_DIR) org.mozilla.jss.asn1.SEQUENCE /tmp/p10

=== debian/changelog ===
jss (4.5.0-1) unstable; urgency=medium

  * New upstream release.
  * control: Add breaks on current libidm-console-framework-java and
    libldap-java.
  * watch: Updated.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 15 Aug 2018 13:51:08 +0300

jss (4.5.0~a4-1) unstable; urgency=medium

  * New upstream prerelease.
  * fix-jdk9-ftbfs.diff: Updated, and disabled.
  * rules:
    - fix gentarball target
    - fix build for new source layout
    - override dh_auto_clean and dh_auto_test
  * watch: Updated.
  * control: Add libcommons-codec-java, libcommons-lang-java, libslf4j-
    java to build-depends.
  * rules: Create symlinks in dh_auto_install.

 -- Timo Aaltonen <tjaalton@debian.org>  Sat, 04 Aug 2018 11:11:14 +0300

jss (4.4.4-1) unstable; urgency=medium

  * New upstream release.
  * watch: Updated to point to github.
  * control: Update homepage.
  * control: Update maintainer address.
  * Bump debhelper to 11.
  * links, install: Updated.
  * rules: Use dh.
  * rules: Add gentarball target.
  * README.source: Deleted, obsolete.
  * Bump policy to 4.1.4, no changes.

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 01 Jun 2018 10:16:36 +0300

=== debian/control ===
Source: jss
Section: java
Maintainer: Debian FreeIPA Team <pkg-freeipa-devel@alioth-lists.debian.net>
Uploaders: Timo Aaltonen <tjaalton@debian.org>,
Priority: optional
Build-Depends: debhelper (>= 11),
 openjdk-8-jdk,
 libcommons-codec-java,
 libcommons-lang-java,
 libnss3-dev,
 libslf4j-java,
 pkg-config,
 quilt,
Standards-Version: 4.1.4
Vcs-Git: https://salsa.debian.org/freeipa-team/jss.git
Vcs-Browser: https://salsa.debian.org/freeipa-team/jss
Homepage: https://github.com/dogtagpki/jss

Package: libjss-java
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Breaks: libidm-console-framework-java (<< 1.2.0),
 libldap-java (<< 4.20.0),
Description: Network Security Services for Java
 Network Security Services for Java (JSS) is a Java interface 
 to NSS. It supports most of the security standards and 
 encryption technologies supported by NSS. JSS also provides 
 a pure Java interface for ASN.1 types and BER/DER encoding.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/quilt/quilt.make

DEB_BUILD_ARCH  ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH)

UPSTREAM_VERSION := $(shell dpkg-parsechangelog | sed -n 's/^Version: *\(.*\)-.*$$/\1/ p' | sed -e 's/~.*//')
MOD_MAJOR_VERSION := $(word 1, $(subst ., ,$(UPSTREAM_VERSION)))
MOD_MINOR_VERSION := $(word 2, $(subst ., ,$(UPSTREAM_VERSION)))
MOD_PATCH_VERSION := $(word 3, $(subst ., ,$(UPSTREAM_VERSION)))

export USE_64 := $(shell echo "int main(void) { int assert[(sizeof(long) == 8) ? 1 : -1]; return 0; }" | gcc -o /dev/null -x c - 2> /dev/null && echo "USE_64=1")

CFLAGS := -Wall -pipe -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2 -fno-strict-aliasing
endif

CFLAGS += $(USE_64)
# Enable compiler optimizations and disable debugging code
BUILD_OPT=1
export BUILD_OPT
export XCFLAGS="-g"
BASEDIR := $(CURDIR)
export DEBIAN_BUILD=1
export SOURCE_PREFIX=$(BASEDIR)/dist
export PKG_CONFIG_ALLOW_SYSTEM_LIBS=1
export PKG_CONFIG_ALLOW_SYSTEM_CFLAGS=1
export NSPR_INCLUDE_DIR=`/usr/bin/pkg-config --cflags-only-I nspr | sed 's/-I//'`
export NSPR_LIB_DIR=`/usr/bin/pkg-config --libs-only-L nspr | sed 's/-L//'`
export NSS_INCLUDE_DIR=`/usr/bin/pkg-config --cflags-only-I nss | sed 's/-I//'`
export NSS_LIB_DIR=`/usr/bin/pkg-config --libs-only-L nss | sed 's/-L//'`
export USE_INSTALLED_NSPR=1
export USE_INSTALLED_NSS=1

export JAVA_HOME=/usr/lib/jvm/java-8-openjdk-$(DEB_BUILD_ARCH)

# Generate symbolic info for debuggers
XCFLAGS="-g"
export XCFLAGS
export CFLAGS

override_dh_auto_build:
	make -C coreconf $(USE_64)
	make $(USE_64)

override_dh_auto_clean:

override_dh_clean:
	-[ -f $(BASEDIR)/Makefile ] || $(MAKE) -C $(BASEDIR) clean
	-[ -f $(BASEDIR)/coreconf/Makefile ] || $(MAKE) -C $(BASEDIR)/coreconf clean
	-find . -name "*.class" -type f -exec rm -f "{}" \;
	-find . -name "*.so.*" -type f -exec rm -f "{}" \;
	-find . -name ".so" -type f -exec rm -f "{}" \;
	-find . -type d -name "Linux*_glibc_PTH_*DBG.OBJ" -exec rm -rf "{}" \;
	-find . -type d -name "Linux*_glibc_PTH_*OPT.OBJ" -exec rm -rf "{}" \;
	rm -f $(BASEDIR)/org/mozilla/jss/util/Debug.java
	rm -rf $(CURDIR)/dist || true
	dh_clean

override_dh_auto_install:
	mkdir -p $(CURDIR)/debian/tmp/usr/lib/jss
	mkdir -p $(CURDIR)/debian/tmp/usr/share/java
	install -m 644 dist/xpclass.jar $(CURDIR)/debian/tmp/usr/share/java/jss-$(MOD_MAJOR_VERSION).$(MOD_MINOR_VERSION).$(MOD_PATCH_VERSION).jar
	install -m 0755 dist/Linux*.OBJ/lib/libjss4.so $(CURDIR)/debian/tmp/usr/lib/jss

	# Required by ldapjdk
	ln -s jss-$(MOD_MAJOR_VERSION).$(MOD_MINOR_VERSION).$(MOD_PATCH_VERSION).jar \
		$(CURDIR)/debian/tmp/usr/share/java/jss.jar
	# Required by idm-console-framework
	ln -s jss-$(MOD_MAJOR_VERSION).$(MOD_MINOR_VERSION).$(MOD_PATCH_VERSION).jar \
		$(CURDIR)/debian/tmp/usr/share/java/jss4.jar

override_dh_auto_test:


# For maintainer use only, generate a tarball:
gentarball: UV=$(shell dpkg-parsechangelog|awk '/^Version:/ {print $$2}'|sed 's/-.*$$//')
gentarball:
	git archive --format=tar upstream --prefix=jss-$(UV)/ | \
		xz --best \
		> ../jss_$(UV).orig.tar.xz

%:
	dh $@ --with quilt

## jss 4.5.1

=== CMakeLists.txt ===
# This is the CMakeLists.txt for the JSS Project.
project(jss)

# Required cmake version; set a 3.0.2 since that's the version of the
# documentation I referenced.
cmake_minimum_required(VERSION 3.0.2)

# Source our custom CMake modules; this includes NSS and NSPR modules from
# PKI and the JSSConfig and JSSCommon modules.
set(CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake)

# Define optional variables and conditionals.
if (DEFINED CHECK_DEPRECATION)
    set(CMAKE_JAVA_COMPILE_FLAGS "-Xlint:deprecation")
endif()

# Build a debug build by default when no type is specified on the command line
if(NOT (DEFINED CMAKE_BUILD_TYPE))
    set(CMAKE_BUILD_TYPE "Debug")
endif()

# Find NSPR and NSS Libraries.
find_package(NSPR REQUIRED)
find_package(NSS REQUIRED)

# Find Java and JNI packages; this sets CMake wariables like
# Java_JAVAC_EXECUTABLE.
find_package(Java REQUIRED)
find_package(JNI REQUIRED)

# Since we found Java, include UseJava to provide the find_jar function.
include(UseJava)

# Load JSSConfig module; this defines the jss_config() macro which defines
# JSS-specific configuration values.
include(JSSConfig)

# Load JSSCommon module; this defines the jss_build() macros which defines
# the JSS build procedure.
include(JSSCommon)

# Load JSSTests module; this defines the jss_tests() macro which defines the
# JSS test procedure.
include(JSSTests)

jss_config()
jss_build()
jss_tests()

=== debian/changelog ===
jss (4.5.1-1) unstable; urgency=medium

  * New upstream release.
    - build against default-jdk. (Closes: #895643)
    - build system rewritten, add cmake, libjaxb-api-java, libnss3-tools,
      unzip, zip to build-depends, and libjaxb-api-java to depends
  * control: Bump policy to 4.2.1.

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 03 Dec 2018 18:13:59 +0200

=== debian/control ===
--- 
+++ 
@@ -4,21 +4,27 @@
 Uploaders: Timo Aaltonen <tjaalton@debian.org>,
 Priority: optional
 Build-Depends: debhelper (>= 11),
- openjdk-8-jdk,
+ cmake,
+ default-jdk,
  libcommons-codec-java,
  libcommons-lang-java,
+ libjaxb-api-java,
  libnss3-dev,
+ libnss3-tools,
  libslf4j-java,
  pkg-config,
  quilt,
-Standards-Version: 4.1.4
+ unzip,
+ zip,
+Standards-Version: 4.2.1
 Vcs-Git: https://salsa.debian.org/freeipa-team/jss.git
 Vcs-Browser: https://salsa.debian.org/freeipa-team/jss
 Homepage: https://github.com/dogtagpki/jss
 
 Package: libjss-java
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends},
+ libjaxb-api-java,
 Breaks: libidm-console-framework-java (<< 1.2.0),
  libldap-java (<< 4.20.0),
 Description: Network Security Services for Java

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/quilt/quilt.make

UPSTREAM_VERSION := $(shell dpkg-parsechangelog | sed -n 's/^Version: *\(.*\)-.*$$/\1/ p' | sed -e 's/~.*//')
MOD_MAJOR_VERSION := $(word 1, $(subst ., ,$(UPSTREAM_VERSION)))
MOD_MINOR_VERSION := $(word 2, $(subst ., ,$(UPSTREAM_VERSION)))
MOD_PATCH_VERSION := $(word 3, $(subst ., ,$(UPSTREAM_VERSION)))

override_dh_auto_configure:
	dh_auto_configure -- \
		-DJAVA_LIB_INSTALL_DIR=/usr/share/java

override_dh_auto_build:
	cd build && make all test javadoc

override_dh_auto_clean:

override_dh_clean:
	rm -rf build/* build/.targets
	rm -f org/mozilla/jss/util/jssver.h
	dh_clean

override_dh_auto_install:
	mkdir -p $(CURDIR)/debian/tmp/usr/lib/jss
	mkdir -p $(CURDIR)/debian/tmp/usr/share/java
	install -m 644 build/jss4.jar $(CURDIR)/debian/tmp/usr/share/java/jss-$(MOD_MAJOR_VERSION).$(MOD_MINOR_VERSION).$(MOD_PATCH_VERSION).jar
	install -m 0755 build/libjss4.so $(CURDIR)/debian/tmp/usr/lib/jss

	# Required by ldapjdk
	ln -s jss-$(MOD_MAJOR_VERSION).$(MOD_MINOR_VERSION).$(MOD_PATCH_VERSION).jar \
		$(CURDIR)/debian/tmp/usr/share/java/jss.jar
	# Required by idm-console-framework
	ln -s jss-$(MOD_MAJOR_VERSION).$(MOD_MINOR_VERSION).$(MOD_PATCH_VERSION).jar \
		$(CURDIR)/debian/tmp/usr/share/java/jss4.jar

override_dh_auto_test:


# For maintainer use only, generate a tarball:
gentarball: UV=$(shell dpkg-parsechangelog|awk '/^Version:/ {print $$2}'|sed 's/-.*$$//')
gentarball:
	git archive --format=tar upstream --prefix=jss-$(UV)/ | \
		xz --best \
		> ../jss_$(UV).orig.tar.xz

%:
	dh $@ --with quilt --builddirectory=build/

=== debian/watch ===
version=3
options=uversionmangle=s/-/~/ \
https://github.com/dogtagpki/jss/releases/ (?:.*?/)?v@ANY_VERSION@\.tar\.gz

## jss 4.6.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -10,8 +10,8 @@
 set(CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake)
 
 # Define optional variables and conditionals.
-if (DEFINED CHECK_DEPRECATION)
-    set(CMAKE_JAVA_COMPILE_FLAGS "-Xlint:deprecation")
+if (DEFINED ENV{CHECK_DEPRECATION})
+    list(APPEND JSS_JAVAC_FLAGS "-Xlint:deprecation")
 endif()
 
 # Build a debug build by default when no type is specified on the command line

=== debian/changelog ===
jss (4.6.0-1) unstable; urgency=medium

  * New upstream release.
  * control: Bump policy to 4.4.0.
  * control, compat: Bump debhelper to 12.
  * support-jdk8.diff: Dropped, upstream.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 10 Jul 2019 10:43:01 +0300

jss (4.5.3-2) experimental; urgency=medium

  * support-jdk8.diff: Build with -target/-source 1.8.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 24 Apr 2019 21:05:34 +0300

jss (4.5.3-1) experimental; urgency=medium

  * New upstream release.
  * fix-jdk9-ftbfs.diff: Dropped, obsolete and not applied.
  * control: Add junit4 to build-depends.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 24 Apr 2019 18:20:35 +0300

## jss 4.6.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -13,6 +13,11 @@
 if (DEFINED ENV{CHECK_DEPRECATION})
     list(APPEND JSS_JAVAC_FLAGS "-Xlint:deprecation")
 endif()
+
+if (DEFINED ENV{FIPS_ENABLED})
+    set(FIPS_ENABLED_ENV TRUE)
+endif()
+option(FIPS_ENABLED "When enabled, disable certain tests which don't work in FIPS mode. This should only be specified when the host system is in FIPS mode." ${FIPS_ENABLED_ENV})
 
 # Build a debug build by default when no type is specified on the command line
 if(NOT (DEFINED CMAKE_BUILD_TYPE))

=== debian/changelog ===
jss (4.6.1-3) unstable; urgency=medium

  * use-release-8.diff: Set --release=8.

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 16 Sep 2019 18:06:52 +0300

jss (4.6.1-2) unstable; urgency=medium

  * fix-bufferprfd.diff: Fix tests on big-endian.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 10 Sep 2019 07:13:43 +0300

jss (4.6.1-1) unstable; urgency=medium

  * New upstream release.
  * rules: Print test output on failure.

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 09 Sep 2019 23:47:49 +0300

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,10 @@
 Maintainer: Debian FreeIPA Team <pkg-freeipa-devel@alioth-lists.debian.net>
 Uploaders: Timo Aaltonen <tjaalton@debian.org>,
 Priority: optional
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper (>= 12),
  cmake,
  default-jdk,
+ junit4,
  libcommons-codec-java,
  libcommons-lang-java,
  libjaxb-api-java,
@@ -16,7 +17,7 @@
  quilt,
  unzip,
  zip,
-Standards-Version: 4.2.1
+Standards-Version: 4.4.0
 Vcs-Git: https://salsa.debian.org/freeipa-team/jss.git
 Vcs-Browser: https://salsa.debian.org/freeipa-team/jss
 Homepage: https://github.com/dogtagpki/jss

## jss 4.6.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -11,6 +11,10 @@
 
 # Define optional variables and conditionals.
 if (DEFINED ENV{CHECK_DEPRECATION})
+    set(CHECK_DEPRECATION_ENV TRUE)
+endif()
+option(CHECK_DEPRECATION "When enabled, utilize the deprecation checking functionality of the java compiler." ${CHECK_DEPRECATION_ENV})
+if (CHECK_DEPRECATION)
     list(APPEND JSS_JAVAC_FLAGS "-Xlint:deprecation")
 endif()
 
@@ -18,6 +22,11 @@
     set(FIPS_ENABLED_ENV TRUE)
 endif()
 option(FIPS_ENABLED "When enabled, disable certain tests which don't work in FIPS mode. This should only be specified when the host system is in FIPS mode." ${FIPS_ENABLED_ENV})
+
+if (DEFINED ENV{SANDBOX})
+    set(SANDBOX_ENV TRUE)
+endif()
+option(SANDBOX "When enabled, expect to find nss and nspr from the parent (sandbox) directory instead of using the system-installed versions of the libraries." ${SANDBOX_ENV})
 
 # Build a debug build by default when no type is specified on the command line
 if(NOT (DEFINED CMAKE_BUILD_TYPE))
@@ -33,8 +42,14 @@
 find_package(Java REQUIRED)
 find_package(JNI REQUIRED)
 
+# Shims for older CMake versions without useful features.
+include(Shims)
+
 # Since we found Java, include UseJava to provide the find_jar function.
 include(UseJava)
+
+# This include is required for the macro check_symbol_exists in jss_config()
+include(CheckSymbolExists)
 
 # Load JSSConfig module; this defines the jss_config() macro which defines
 # JSS-specific configuration values.

=== debian/changelog ===
jss (4.6.2-1) unstable; urgency=medium

  * New upstream release.
    - fix CVE-2019-14823 (Closes: #942463)
  * fix-bufferprfd.diff: Dropped, upstream.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 17 Oct 2019 12:55:52 +0300

## jss 4.6.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -27,6 +27,11 @@
     set(SANDBOX_ENV TRUE)
 endif()
 option(SANDBOX "When enabled, expect to find nss and nspr from the parent (sandbox) directory instead of using the system-installed versions of the libraries." ${SANDBOX_ENV})
+
+if (DEFINED ENV{TEST_VALGRIND})
+    set(TEST_VALGRIND_ENV TRUE)
+endif()
+option(TEST_VALGRIND "When enabled, run the entire test suite under Valgrind. This will be noisy as JSS can't clean up NSS initialization and the JVM itself leaks." ${TEST_VALGRIND_ENV})
 
 # Build a debug build by default when no type is specified on the command line
 if(NOT (DEFINED CMAKE_BUILD_TYPE))

=== debian/changelog ===
jss (4.6.3-1) unstable; urgency=medium

  * New upstream release. (Closes: #952328)
  * disable-kbkdf.diff: Disable KBKDF support until we have NSS 3.51.
  * control: Use debhelper-compat.

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 24 Feb 2020 13:30:49 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Maintainer: Debian FreeIPA Team <pkg-freeipa-devel@alioth-lists.debian.net>
 Uploaders: Timo Aaltonen <tjaalton@debian.org>,
 Priority: optional
-Build-Depends: debhelper (>= 12),
+Build-Depends: debhelper-compat (= 12),
  cmake,
  default-jdk,
  junit4,

## jss 4.7.3

=== debian/changelog ===
jss (4.7.3-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 14 Sep 2020 14:28:53 +0300

jss (4.7.2-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 13 Aug 2020 13:36:28 +0300

jss (4.7.1-1) unstable; urgency=medium

  * New upstream release.
  * control: Bump policy to 4.5.0.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 06 Aug 2020 15:37:23 +0300

jss (4.7.0-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 28 Jul 2020 11:27:48 +0300

jss (4.7.0~b4-2) unstable; urgency=medium

  * Release to sid. (LP: #963279)

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 02 Jul 2020 14:34:26 +0300

jss (4.7.0~b4-1) experimental; urgency=medium

  * New upstream beta release.
  * watch: Updated.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 01 Jul 2020 07:02:35 +0300

jss (4.7.0~b1-1) experimental; urgency=medium

  * New upstream beta release.
  * disable-kbkdf.diff: Dropped, we have nss 3.51 now.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 27 May 2020 23:34:40 +0300

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
  quilt,
  unzip,
  zip,
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Vcs-Git: https://salsa.debian.org/freeipa-team/jss.git
 Vcs-Browser: https://salsa.debian.org/freeipa-team/jss
 Homepage: https://github.com/dogtagpki/jss

## jss 4.8.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -38,6 +38,11 @@
     set(CMAKE_BUILD_TYPE "Debug")
 endif()
 
+if (DEFINED ENV{WITH_INTERNET})
+    set(TEST_WITH_INTERNET_ENV TRUE)
+endif()
+option(TEST_WITH_INTERNET "When enabled, runs various tests which require an internet connection. " ${TEST_WITH_INTERNET_ENV})
+
 # Find NSPR and NSS Libraries.
 find_package(NSPR REQUIRED)
 find_package(NSS REQUIRED)
@@ -53,8 +58,10 @@
 # Since we found Java, include UseJava to provide the find_jar function.
 include(UseJava)
 
-# This include is required for the macro check_symbol_exists in jss_config()
+# These includes are required for the macro check_symbol_exists and
+# check_struct_has_member in jss_config().
 include(CheckSymbolExists)
+include(CheckStructHasMember)
 
 # Load JSSConfig module; this defines the jss_config() macro which defines
 # JSS-specific configuration values.

=== .copr/Makefile ===
srpm:
	dnf install -y git
	./build.sh --with-timestamp --with-commit-id srpm
	if [[ "${outdir}" != "" ]]; then \
	    mv ${HOME}/build/jss/SRPMS/* ${outdir}; \
	fi

=== debian/changelog ===
jss (4.8.0-2) unstable; urgency=medium

  * Disable-use-of-MD4-MD5-and-SHA-1-algorithms.patch: Fix tests with
    nss-3.59. (Closes: #975212)

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 03 Dec 2020 15:08:12 +0200

jss (4.8.0-1) unstable; urgency=medium

  * New upstream release.
  * control: Build using libcommons-lang3-java.

 -- Timo Aaltonen <tjaalton@debian.org>  Sat, 31 Oct 2020 19:16:32 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
  default-jdk,
  junit4,
  libcommons-codec-java,
- libcommons-lang-java,
+ libcommons-lang3-java,
  libjaxb-api-java,
  libnss3-dev,
  libnss3-tools,
@@ -25,6 +25,7 @@
 Package: libjss-java
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends},
+ libcommons-lang3-java,
  libjaxb-api-java,
 Breaks: libidm-console-framework-java (<< 1.2.0),
  libldap-java (<< 4.20.0),

=== debian/rules ===
--- 
+++ 
@@ -12,7 +12,7 @@
 		-DJAVA_LIB_INSTALL_DIR=/usr/share/java
 
 override_dh_auto_build:
-	cd build && make all test javadoc
+	cd build && make all javadoc
 
 override_dh_auto_clean:
 
@@ -35,7 +35,7 @@
 		$(CURDIR)/debian/tmp/usr/share/java/jss4.jar
 
 override_dh_auto_test:
-
+	cd build && ctest --output-on-failure
 
 # For maintainer use only, generate a tarball:
 gentarball: UV=$(shell dpkg-parsechangelog|awk '/^Version:/ {print $$2}'|sed 's/-.*$$//')

## jss 5.0.0

=== debian/changelog ===
jss (5.0.0-1) unstable; urgency=medium

  * New upstream release.
  * control: libjaxb-api-java is no longer needed, drop it from (build-
    )depends.
  * control: Drop obsolete breaks.
  * use-release-8.diff: Dropped.
  * install: Version number got dropped from the build, so fix the
    install.
  * control: Add Breaks for current versions of libtomcatjss-java,
    libldap-java and libidm-console-framework-java.

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 18 Oct 2021 22:17:45 +0300

jss (4.9.1-1) unstable; urgency=medium

  * New upstream release.
  * control: Bump cmake build-dependency to 3.14.
  * Disable-use-of-MD4-MD5-and-SHA-1-algorithms.patch: Dropped,
    upstream.
  * patches: Refreshed.

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 06 Sep 2021 11:35:55 +0300

=== debian/rules ===
--- 
+++ 
@@ -24,15 +24,8 @@
 override_dh_auto_install:
 	mkdir -p $(CURDIR)/debian/tmp/usr/lib/jss
 	mkdir -p $(CURDIR)/debian/tmp/usr/share/java
-	install -m 644 build/jss4.jar $(CURDIR)/debian/tmp/usr/share/java/jss-$(MOD_MAJOR_VERSION).$(MOD_MINOR_VERSION).$(MOD_PATCH_VERSION).jar
-	install -m 0755 build/libjss4.so $(CURDIR)/debian/tmp/usr/lib/jss
-
-	# Required by ldapjdk
-	ln -s jss-$(MOD_MAJOR_VERSION).$(MOD_MINOR_VERSION).$(MOD_PATCH_VERSION).jar \
-		$(CURDIR)/debian/tmp/usr/share/java/jss.jar
-	# Required by idm-console-framework
-	ln -s jss-$(MOD_MAJOR_VERSION).$(MOD_MINOR_VERSION).$(MOD_PATCH_VERSION).jar \
-		$(CURDIR)/debian/tmp/usr/share/java/jss4.jar
+	install -m 644 build/jss.jar $(CURDIR)/debian/tmp/usr/share/java/jss.jar
+	install -m 0755 build/libjss.so $(CURDIR)/debian/tmp/usr/lib/jss
 
 override_dh_auto_test:
 	cd build && ctest --output-on-failure

=== debian/watch ===
version=3
options=uversionmangle=s/-/~/,filenamemangle=s%(?:.*?)?v@ANY_VERSION@\.tar\.gz%jss-$1.tar.gz% \
https://github.com/dogtagpki/jss/releases/ (?:.*?/)?v@ANY_VERSION@\.tar\.gz
